awhois Asynchronous WHOIS
Usage
awhois [-i] (<nickname:string>[,<magic:variant>]) { <callback command> }
Description

AWHOIS stands for Asynchronous WHOIS. It is used to obtain data for a specified irc user (designated by <nickname>). This command sends a WHOIS query to the server and silently awaits the sequence of replies. When the End of WHOIS message is received from server the <callback command> is executed passing the WHOIS information as positional parameters.
The <magic> string is an optional string to be evaluated at AWHOIS execution time. It is passed as the last positional parameter.
Callback command parameters:
$0 = nickname
$1 = username
$2 = hostname
$3 = realname (may be empty)
$4 = server
$5 = idle time (may be empty)
$6 = signon time (may be empty)
$7 = channels (may be empty)
$8 = server that provided the information
$9 = away message (empty if user hasn't set an away message)
$10 = magic string evaluated at AWHOIS call (may be empty)
$11 = account the user is logged into (may be empty)
$12 = additional, server-specific info (may be empty)
If the -i switch is specified, the WHOIS message is sent to the server that the <nickname> user is connected to; in this way you will probably get the idle time of the user too.
If the server replies with a No such nick/channel error message the <callback command> will be still triggered, but will have all the parameters empty with the exception of $0.
If the connection gets interrupted before all the information have been received, the <callback command> will never be triggered.
This command is connection dependent.

Switches

-i | --idle-time
Ask the WHOIS information to the server that <nickname> is connected to, effectively returning the user's idle time.

Examples
awhois(pragma){ echo $0-; }

Index, Commands